@import '../../../../../../../../../vendor/scandipwa/source/src/app/route/CartPage/CartPage.style';

.CartPage {
    @include mobile {
        padding-bottom: 60px;
        margin-top: 0;
    }

    &-Loader {
        min-height: 50vh;
    }

    &-Wrapper {
        @include before-desktop {
            padding: 16px;
        }

        @include desktop {
            grid-template-columns: 1fr 29.5rem;
        }

        @include desktop-xl {
            grid-template-columns: 1fr 37rem;
        }
    }

    &-Heading {
        display: inline-block;
        margin: 20px 16px 20px 0;
        font-family: $font-rifton;
        font-size: 28px;

        @include mobile {
            margin: 15px 16px 15px 0;
        }
    }

    &-HeadingWrapper {
        @include mobile {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
    }

    &-HeadingQty {
        font-size: 14px;

        span {
            margin-left: 3px;
            text-transform: lowercase;
        }
    }

    &-Empty {
        padding-bottom: 50px;
        font-size: 16px;
        text-align: center;

        img {
            width: initial;
            max-width: 100%;
            margin-bottom: 30px;
        }

        @include mobile {
            padding: 10px 0;
            border: none;
        }
    }

    &-Back {
        display: inline-block;
        min-width: 328px;
        padding: 11px;
        margin: 15px 0;
        background-color: $default-secondary-base-color;
        font-size: 14px;
        font-weight: 500;

        @include mobile {
            width: 100%;
            min-width: initial;
        }
    }

    &-Floating {
        @include desktop {
            margin-top: initial;
        }
    }

    &-Summary {
        background: $white;

        @include desktop {
            padding: 16px;
        }

        @include before-desktop {
            padding-top: 10px;
            border-top: 0;
            margin-top: 0;
            position: relative;
            top: 0;
        }
    }

    &-TotalDetails {
        display: grid;
        padding: 0;
        border: none;
        grid-template-columns: 70% 30%;
        font-size: 12px;
        font-weight: normal;

        @include before-desktop {
            padding: 0 14px;
        }

        .CartCoupon {
            display: inline-block;
            margin: 0 0 0 5px;

            &-RemoveCoupon {
                color: $default-red-color;
                font-size: 12px;
                text-decoration: underline;
            }
        }
    }

    &-SidebarWrapper {
        @include before-desktop {
            padding-top: 0;
        }
    }

    &-SummaryWrapper {
        border: 1px solid var(--grey-1-color);
    }

    &-SummaryHeading {
        font-size: 16px;
        font-weight: normal;
        text-align: left;
        text-transform: none;

        @include before-desktop {
            display: block;
            padding: 0 14px;
            margin-bottom: 10px;
        }
    }

    &-DiscountLabel {
        color: $default-red-color;
    }

    &-DiscountCoupon {
        margin-left: 5px;
        font-weight: normal;

        &::after {
            display: none;
        }
    }

    &-Total {
        font-size: 14px;
    }

    &-CheckoutButton {
        padding: 16px 22px;
        border: none;
        margin: 0;
        color: $black;
        background-color: $default-lime-color;

        @include after-mobile {
            &:not([disabled]):hover {
                border: none;
                color: $black;
                background-color: $default-lime-color;
            }
        }

        span {
            position: static;
            font-size: 14px;
            font-weight: 500;

            &::before {
                display: none;
            }

            &::after {
                width: initial;
                height: initial;
                position: absolute;
                top: calc(50% - 13px);
                right: 20px;
                background-color: transparent;
                content: url('../../style/images/checkout_safe.svg');
            }
        }
    }

    &-Discount {
        padding: 0 16px 16px;

        @include desktop {
            margin-top: 0;
        }

        @include before-desktop {
            .CartPage-ExpandableContentButton {
                padding: 0;

                &::before {
                    display: none;
                }

                &::after {
                    display: inline-block;
                    width: 10px;
                    height: 6px;
                    position: absolute;
                    transform: rotate(0deg);
                    transform-origin: center;
                    background-color: initial;
                    background-image: url('../../style/images/arrow_down.svg');
                    transition: transform 200ms;
                    content: '';
                }

                &.ExpandableContent-Button_isContentExpanded::after {
                    transform: rotate(180deg);
                }
            }

            .ExpandableContent-Content {
                padding: 0;
            }
        }

        .CartPage-ExpandableContentHeading {
            margin-bottom: 9px;
            font-size: 14px;
            font-weight: normal;
            text-transform: uppercase;

            @include mobile {
                margin-bottom: 0;
            }
        }
    }

    &-FloatingOverlay {
        overflow: hidden;
        height: 1px;

        @include desktop {
            display: none;
        }

        @include mobile {
            &-CheckoutButtons {
                border: 1px solid var(--grey-1-color);
                border-top: none;
                border-bottom: none;
            }

            &-Total {
                border: 1px solid var(--grey-1-color);
                border-bottom: none;
            }
        }
    }

    &-FloatingWrapper {
        width: 100%;
        padding: 0 16px;
        position: fixed;
        bottom: 0;
        left: 0;
        background-color: white;

        > div {
            @include before-desktop {
                border: 1px solid var(--grey-1-color);
            }
        }
    }

    &-Static {
        .CartPage-TotalDetails {
            display: none;
        }
    }

    &-AdditionalBlocks,
    &-SidebarWrapper {
        .Image {
            display: inline-block;
            width: initial;
            height: initial;

            &-Image {
                display: initial;
                position: initial;
            }
        }

        .Image_ratio_square {
            padding-bottom: initial;
        }
    }

    &-AdditionalBlocks {
        padding-top: 30px;

        @include mobile {
            display: none;
        }

        .CmsBlock-Wrapper {
            .Footer-Block {
                width: 50%;
                float: left;

                &:first-child {
                    display: none;
                }

                &:nth-child(3) {
                    &-Title {
                        padding-left: 18px;
                    }
                }
            }

            li {
                display: inline-block;
                width: 19%;
            }

            .Image {
                &-Image {
                    opacity: 0.7;
                }
            }
        }

        .Footer-Block-Title {
            font-size: 14px;
            font-weight: normal;
        }
    }

    &-Helpline {
        padding: 19px;
        font-size: 12px;
        text-align: center;

        .Image {
            margin-right: 12px;
            vertical-align: middle;
        }

        a {
            font-weight: bold;
            text-decoration: underline;
        }

        span {
            margin-right: 12px;
        }
    }
}

.prm {
    .CartPage {
        .RecentlyViewed {
            &-Carousel {
                margin-top: 8px;

                @include after-mobile {
                    margin-top: 37px;
                }
            }

            &-Header {
                font-size: 28px;
                font-weight: normal;
                text-transform: uppercase;
                line-height: 32px;

                @include after-mobile {
                    font-size: 32px;
                    line-height: 48px;
                }
            }

            &-ListingButton {
                display: block;
                font-size: 12px;
                font-weight: 500;
                line-height: 18px;

                @include mobile {
                    margin: 0;
                    position: absolute;
                    right: 15px;
                    bottom: -34px;
                }

                @include after-mobile {
                    margin: 40px 96px 0 10px;
                    font-size: 14px;
                    line-height: 24px;
                }
            }
        }
    }
}
